var CubeFaceNormalHelper = {
    Front: new THREE.Vector3(0, 1, 0),
    Left: new THREE.Vector3(1, 0, 0),
    Down: new THREE.Vector3(0, 0, 1),
    Right: new THREE.Vector3(-1, 0, 0),
    Up: new THREE.Vector3(0, 0, -1),
    Behind: new THREE.Vector3(0, -1, 0),
    getFaceNormals: function () {
        return [this.Front, this.Right, this.Up, this.Behind, this.Left, this.Down];
    },
    //获取当前切面的切面类型，与哪个cube面法向量夹角最小即与哪个cube面的类型相同
    getClipFaceType: function (normal) {
        let faceNormals = this.getFaceNormals();
        let angle = 180 * RadianContant;
        let clipClipFaceType = ClipFaceType.None;
        for (let i = 0; i < faceNormals.length; i++) {
            let angleToFace = Math.abs(faceNormals[i].angleTo(normal));
            if (angleToFace < angle) {
                angle = angleToFace;
                clipClipFaceType = i + 1;
            }
        }
        return clipClipFaceType;
    }
};